//*************************************************************
// システム名     電子入札物品コアシステム
// サブシステム名 電子入札・開札システム
//
// 落札判定結果確認機能
// @author NEC
// @version 1.0, 2002.09.29, 新規作成
// @version 3.1, 2003.08.25, 乱数署名のオプション化対応
//          4.0, 2004.05.24, V4-統合-004<BR>
//          4.0, 2005.10.14, 紙業者の無効対応<BR>
//*************************************************************

//-------------------------------------------------------------
// HTML読込み時の初期処理
//-------------------------------------------------------------
function onStart()
{
  // 読み込み時共通処理
  onLoad();

  // 予定価格表示処理
  showPlannedPriceAndJudge();
}//onStart

//-------------------------------------------------------------
// 落札判定確認画面表示
//-------------------------------------------------------------
function moveNextScreen()
{
  // 複数落札の場合、落札業者に落札フラグを設定する
  if( typeof(document.formRegist.successfulBidFlag)!=typeof(undefined) )
  {
    for( var i=0, len=Number(document.formRegist.dataCount.value) ; i<len ; i++ )
    {
      document.formRegist["successfulBidFlag_"+i].value="0";
    }

    var successfulBid="";

    if( len>1 ){
      for( i=0 ; i<len ; i++ ){
        if( Number(document.formRegist["successfulBidFlag_"+i].value)!=0 ){
          successfulBid=i;
          break;
        }
      }
    }else{
      successfulBid=document.formRegist.successfulBidFlag.value;
    }

    if( checkNumber(successfulBid) ) {
      document.formRegist["successfulBidFlag_"+successfulBid].value="1";
    }
  }

  var ID;
  switch(document.formRegist.bidResultNumber.value)
  {
    case "1":
    // 保留
      resetSuccessfulBidAmount();//落札数量リセット
      resetSuccessfulBidFlag();//落札フラグリセット
// ***** DEL 2005.10.14 START *****
//      resetInvalidFlag();//無効フラグリセット
// ***** DEL 2005.10.14 END *****
      ID="H5471HTS015"; break;
    case "2":
    // 落札 */
      ID="H5471HTS015"; break;
    case "3":
    // 同価 */
      resetSuccessfulBidAmount();//落札数量リセット
      resetSuccessfulBidFlag();//落札フラグリセット
// ***** DEL 2005.10.14 START *****
//      resetInvalidFlag();//無効フラグリセット
// ***** DEL 2005.10.14 END *****
      ID="H5471HPR004"; break;
    case "4":
    // 再入札 */
      resetSuccessfulBidFlag();//落札フラグリセット
      ID="H5471HTS023"; break;
    case "5":
    // 不落随契 */
      resetSuccessfulBidFlag();//落札フラグリセット
      dispatchFurakuZuikei();
      break;
    case "6":
    // 不調 */
      resetSuccessfulBidAmount();//落札数量リセット
      resetSuccessfulBidFlag();//落札フラグリセット
// ***** DEL 2005.10.14 START *****
//      resetInvalidFlag();//無効フラグリセット
// ***** DEL 2005.10.14 END *****
      ID="H5471HTS015"; break;
  }
  dispatch( document.formRegist, ID );
}//moveNextScreen

//-------------------------------------------------------------
// 不落随意契約登録処理
//-------------------------------------------------------------
function dispatchFurakuZuikei()
{
  if( !prepareDispatch( document.formRegist, 'H5471HTS023' ) )
  {
    return;
  }

  /* ICカード変更確認結果を返す。 */
  begin();
  execute("Utils.isIcCardChanged(script:'IcCardCheckResult')");
  commit();

  begin();

  // XML執行担当者署名コマンドを呼び出す
  execute("DocSign.sign(script:'UnsignedXml', script:'SignedXml')");

  /* 共通アプレットのプロパティにomeBeforeRequestNameを登録する */
  execute("copyString(value:'" + getBeforeRequestName() + "', omeBeforeRequestName)");

  // 乱数署名コマンドを呼び出す
  execute("RandomSign.sign(script:'SignedRandomKey')");

  execute("callScript(value:'submitCall')");

  commit();
}//dispatchFurakuZuikei

//-------------------------------------------------------------
// 未署名通知書取得
//-------------------------------------------------------------
function getUnsignedXml() { return document.formNotice.xmlData.value; }

//-------------------------------------------------------------
// 署名済通知書設定
//-------------------------------------------------------------
function setSignedXml( value ) { document.formRegist.xmlData.value=value; }

//-------------------------------------------------------------
// 落札判定画面に戻る
//-------------------------------------------------------------
function onReturnScreen()
{
  dispatch( document.formRegist, 'H5451HTS013' );
}//onReturnScreen

//-------------------------------------------------------------
// 落札数量リセット
//-------------------------------------------------------------
function resetSuccessfulBidAmount()
{
  if (document.formRegist.successfulBidAmount_0 != null)
  {
    for (var i=0; i < Number(document.formRegist.dataCount.value); i++)
    {
      document.formRegist["successfulBidAmount_"+i].value = "";
    }
  }
}

//-------------------------------------------------------------
// 落札フラグリセット
//-------------------------------------------------------------
function resetSuccessfulBidFlag()
{
  if (document.formRegist.successfulBidFlag_0 != null)
  {
    for (var i=0; i < Number(document.formRegist.dataCount.value); i++)
    {
      document.formRegist["successfulBidFlag_"+i].value = "";
    }
  }
}

//-------------------------------------------------------------
// 無効フラグリセット
//-------------------------------------------------------------
function resetInvalidFlag()
{
  if (document.formRegist.invalidFlag_0 != null)
  {
    for (var i=0; i < Number(document.formRegist.dataCount.value); i++)
    {
      document.formRegist["invalidFlag_"+i].value = "";
    }
  }
}
